## visad.data.vis5d
Class Vis5DAdaptedForm

    java.lang.Object
      visad.data.FormNode
          visad.data.Form
              visad.data.vis5d.Vis5DForm
                  visad.data.vis5d.Vis5DAdaptedForm

All Implemented Interfaces:
  FormFileInformer

public class Vis5DAdaptedForm
extends Vis5DForm

Nested Class Summary

Nested classes inherited from class visad.data.vis5d.Vis5DForm
`Vis5DForm.ContourCell`

Field Summary
`(package private) static CacheStrategy` `c_strategy`

Fields inherited from class visad.data.vis5d.Vis5DForm
`HEIGHT, WIDTH`

Fields inherited from class visad.data.Form
`mathType`

Constructor Summary
`Vis5DAdaptedForm()`

Method Summary
`FlatField` `getFlatField(Vis5DFile file, int time_idx)`

Methods inherited from class visad.data.vis5d.Vis5DForm
`add, getDefaultSuffixes, getForms, isThisType, isThisType, main, makeFlatField, open, open, save`

Methods inherited from class visad.data.Form
`getMathType`

Methods inherited from class visad.data.FormNode
`getName`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### c_strategy

    static CacheStrategy c_strategy

Constructor Detail

### Vis5DAdaptedForm

    public Vis5DAdaptedForm()

Method Detail

### getFlatField

    public FlatField getFlatField(Vis5DFile file,
                                  int time_idx)
                           throws VisADException

  Overrides:
    `getFlatField` in class `Vis5DForm`
  Throws:
    `VisADException`